Page MenuHomePhabricator

Change 'NaN' & 'Infinite' to something more helpful in metrics % change over the selected time range
Closed, ResolvedPublic1 Story Points

Description

Some metrics (for eg: New registered users metric for Wikibooks - Bashkir & New Pages metric for Wikiquote – Bulgarian) returns change in range as 'NaN' & 'Infinite' respectively when the corresponding data is constant (=0) for the selected time range. We should display something better to which a wikistats user can relate to (possibly 0). Please refer the attached images for example.

Event Timeline

sahil505 created this task.Apr 11 2018, 8:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2018, 8:40 PM

@sahil505
Good catch!
Feel free to work on this if you want.

Change 425747 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] Changed 'NaN' to 0 in metrics % change over the selected time range

https://gerrit.wikimedia.org/r/425747

fdans triaged this task as Normal priority.Apr 12 2018, 4:47 PM
fdans moved this task from Incoming to Mentoring on the Analytics board.
fdans added a project: Analytics-Kanban.
sahil505 renamed this task from Change 'NaN' to something more helpful in metrics % change over the selected time range to Change 'NaN' & 'Infinite' to something more helpful in metrics % change over the selected time range.Apr 17 2018, 12:20 PM
sahil505 updated the task description. (Show Details)

Change 425747 merged by Mforns:
[analytics/wikistats2@master] Changed 'NaN' and 'Infinite' to an appropriate message in metrics % change over the selected time range

https://gerrit.wikimedia.org/r/425747

Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Apr 24 2018, 3:01 PM
Nuria set the point value for this task to 1.
mforns closed this task as Resolved.May 7 2018, 8:34 PM